# Mi 6 (sagit)

!!! warning "注意！"

    以下内容凡涉及官方固件/工具时，均采用{==国行版==}

## 准备

- Android 调试桥 (adb): [Download](https://developer.android.com/studio/releases/platform-tools?hl=zh-cn)
- Google USB Driver: [Download](https://developer.android.com/studio/run/win-usb)
- USB 2.0 接口

!!! tip

    笔记本没有 USB 2.0 接口的话，可以考虑买一个扩展坞
    Fastboot 在 USB 3 下会出现各种各样的问题，尽管网上有修复脚本，但实测作用不大...

## 安装 Fastboot 驱动

> 一般来说驱动会自动识别安装，但是本次操作的时候设备没有正确识别，还是得手动安装...

1.  打开`设备管理器`，检查设备状态

<figure markdown="span">
  ![Mi6(sagit) - 1.png](https://static.cattom.site/new_blog_image/Mi6%28sagit%29%20-%201.png?x-oss-process=style/blog)
  <figcaption>已正确安装</figcaption>
</figure>

<figure markdown="span">
  ![Mi6(sagit) - 2.png](https://static.cattom.site/new_blog_image/Mi6%28sagit%29%20-%202.png?x-oss-process=style/blog)
  <figcaption>未安装</figcaption>
</figure>

2.  安装驱动前，请先解压刚才下载的 Google USB Driver 压缩包

3.  右键 `Android`，点击`更新驱动程序`

4.  点击`浏览我的电脑以查找驱动程序`

    ![Mi6(sagit) - 3.png](https://static.cattom.site/new_blog_image/Mi6%28sagit%29%20-%203.png?x-oss-process=style/blog)

5.  点击`让我从计算机上的可用驱动程序列表中选取`

    ![Mi6(sagit) - 4.png](https://static.cattom.site/new_blog_image/Mi6%28sagit%29%20-%204.png?x-oss-process=style/blog)

6.  如果列表中有 `Android Phone`，则选择它，然后执行最后一步

    ![Mi6(sagit) - 5.png](https://static.cattom.site/new_blog_image/Mi6%28sagit%29%20-%205.png?x-oss-process=style/blog)

    - 如果没有，请点击列表中的`显示全部设备`，然后点击`从磁盘中安装`

    ![Mi6(sagit) - 6.png](https://static.cattom.site/new_blog_image/Mi6%28sagit%29%20-%206.png?x-oss-process=style/blog)

    - 在`制造商文件复制来源`处选择 `usb_driver` 目录下的 `android winusb.inf` 文件

    ![Mi6(sagit) - 7.png](https://static.cattom.site/new_blog_image/Mi6%28sagit%29%20-%207.png?x-oss-process=style/blog)

7.  最后，选择 `Android Bootloader Interface` 驱动，然后点击`下一步`安装

    ![Mi6(sagit) - 8.png](https://static.cattom.site/new_blog_image/Mi6%28sagit%29%20-%208.png?x-oss-process=style/blog)

!!! info

    adb 驱动安装基本与本教程相同，最后选择 `Android Composite ADB Interface` 即可

## 刷入官方固件/救砖 - Fastboot 线刷

- [Mi 6 官方固件](https://xiaomirom.com/rom/mi-6-sagit-china-fastboot-recovery-rom/)
- [小米刷机工具 MiFlash (含教程步骤)](https://xiaomirom.com/download-xiaomi-flash-tool-miflash/)

## 解 BootLoader 锁

- [官方解锁工具](https://www.miui.com/unlock/index.html)
- [官方解锁工具(历史版本)](https://miuiver.com/miunlock/)
  
!!! tip

    如果在 MIFlash 不小心重新锁上了 BootLoader,并且无法通过正常方法解锁,可以尝试官方解锁工具 `ver.5.5.224.24`

## 刷入第三方 Recovery

- 进入 Fastboot: 音量减 + 电源
- [Download](https://down.warbler.cc/XiaoMi-6/Recovery/Twrp/12)
- 在 adb 所在目录启动 Terminal
- 执行

```powershell
.\fastboot flash recovery <path>\(A14)TWRP-3.7.1-android_12.0.img
```

- 进入 Recovery: 音量加 + 电源

## 刷入第三方 ROM: LineageOS 21

- 进入 Recovery: 音量加 + 电源
- 清除以下内容

    * Dalvik / ART 缓存
    * Cache
    * System
    * Vendor
    * Data {==注意：记得格式化 Data 分区==}

- 刷入 LineageOS 21
- 清除 Dalvik / ART 缓存, Cache & Data {==注意：记得格式化 Data 分区==}
- 重启